# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "elasticsearch-api"
  s.version = "1.0.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Karel Minarik"]
  s.date = "2015-03-03"
  s.description = "Ruby API for Elasticsearch. See the `elasticsearch` gem for full integration.\n"
  s.email = ["karel.minarik@elasticsearch.org"]
  s.extra_rdoc_files = ["README.md", "LICENSE.txt"]
  s.files = [".gitignore", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "elasticsearch-api.gemspec", "lib/elasticsearch-api.rb", "lib/elasticsearch/api.rb", "lib/elasticsearch/api/actions/abort_benchmark.rb", "lib/elasticsearch/api/actions/benchmark.rb", "lib/elasticsearch/api/actions/bulk.rb", "lib/elasticsearch/api/actions/cat/aliases.rb", "lib/elasticsearch/api/actions/cat/allocation.rb", "lib/elasticsearch/api/actions/cat/count.rb", "lib/elasticsearch/api/actions/cat/fielddata.rb", "lib/elasticsearch/api/actions/cat/health.rb", "lib/elasticsearch/api/actions/cat/help.rb", "lib/elasticsearch/api/actions/cat/indices.rb", "lib/elasticsearch/api/actions/cat/master.rb", "lib/elasticsearch/api/actions/cat/nodes.rb", "lib/elasticsearch/api/actions/cat/pending_tasks.rb", "lib/elasticsearch/api/actions/cat/recovery.rb", "lib/elasticsearch/api/actions/cat/segments.rb", "lib/elasticsearch/api/actions/cat/shards.rb", "lib/elasticsearch/api/actions/cat/thread_pool.rb", "lib/elasticsearch/api/actions/clear_scroll.rb", "lib/elasticsearch/api/actions/cluster/get_settings.rb", "lib/elasticsearch/api/actions/cluster/health.rb", "lib/elasticsearch/api/actions/cluster/pending_tasks.rb", "lib/elasticsearch/api/actions/cluster/put_settings.rb", "lib/elasticsearch/api/actions/cluster/reroute.rb", "lib/elasticsearch/api/actions/cluster/state.rb", "lib/elasticsearch/api/actions/count.rb", "lib/elasticsearch/api/actions/count_percolate.rb", "lib/elasticsearch/api/actions/create.rb", "lib/elasticsearch/api/actions/delete.rb", "lib/elasticsearch/api/actions/delete_by_query.rb", "lib/elasticsearch/api/actions/delete_script.rb", "lib/elasticsearch/api/actions/delete_template.rb", "lib/elasticsearch/api/actions/exists.rb", "lib/elasticsearch/api/actions/explain.rb", "lib/elasticsearch/api/actions/get.rb", "lib/elasticsearch/api/actions/get_script.rb", "lib/elasticsearch/api/actions/get_source.rb", "lib/elasticsearch/api/actions/get_template.rb", "lib/elasticsearch/api/actions/index.rb", "lib/elasticsearch/api/actions/indices/analyze.rb", "lib/elasticsearch/api/actions/indices/clear_cache.rb", "lib/elasticsearch/api/actions/indices/close.rb", "lib/elasticsearch/api/actions/indices/create.rb", "lib/elasticsearch/api/actions/indices/delete.rb", "lib/elasticsearch/api/actions/indices/delete_alias.rb", "lib/elasticsearch/api/actions/indices/delete_mapping.rb", "lib/elasticsearch/api/actions/indices/delete_template.rb", "lib/elasticsearch/api/actions/indices/delete_warmer.rb", "lib/elasticsearch/api/actions/indices/exists.rb", "lib/elasticsearch/api/actions/indices/exists_alias.rb", "lib/elasticsearch/api/actions/indices/exists_template.rb", "lib/elasticsearch/api/actions/indices/exists_type.rb", "lib/elasticsearch/api/actions/indices/flush.rb", "lib/elasticsearch/api/actions/indices/get.rb", "lib/elasticsearch/api/actions/indices/get_alias.rb", "lib/elasticsearch/api/actions/indices/get_aliases.rb", "lib/elasticsearch/api/actions/indices/get_field_mapping.rb", "lib/elasticsearch/api/actions/indices/get_mapping.rb", "lib/elasticsearch/api/actions/indices/get_settings.rb", "lib/elasticsearch/api/actions/indices/get_template.rb", "lib/elasticsearch/api/actions/indices/get_warmer.rb", "lib/elasticsearch/api/actions/indices/open.rb", "lib/elasticsearch/api/actions/indices/optimize.rb", "lib/elasticsearch/api/actions/indices/put_alias.rb", "lib/elasticsearch/api/actions/indices/put_mapping.rb", "lib/elasticsearch/api/actions/indices/put_settings.rb", "lib/elasticsearch/api/actions/indices/put_template.rb", "lib/elasticsearch/api/actions/indices/put_warmer.rb", "lib/elasticsearch/api/actions/indices/recovery.rb", "lib/elasticsearch/api/actions/indices/refresh.rb", "lib/elasticsearch/api/actions/indices/segments.rb", "lib/elasticsearch/api/actions/indices/snapshot_index.rb", "lib/elasticsearch/api/actions/indices/stats.rb", "lib/elasticsearch/api/actions/indices/status.rb", "lib/elasticsearch/api/actions/indices/update_aliases.rb", "lib/elasticsearch/api/actions/indices/upgrade.rb", "lib/elasticsearch/api/actions/indices/validate_query.rb", "lib/elasticsearch/api/actions/info.rb", "lib/elasticsearch/api/actions/list_benchmarks.rb", "lib/elasticsearch/api/actions/mget.rb", "lib/elasticsearch/api/actions/mlt.rb", "lib/elasticsearch/api/actions/mpercolate.rb", "lib/elasticsearch/api/actions/msearch.rb", "lib/elasticsearch/api/actions/mtermvectors.rb", "lib/elasticsearch/api/actions/nodes/hot_threads.rb", "lib/elasticsearch/api/actions/nodes/info.rb", "lib/elasticsearch/api/actions/nodes/shutdown.rb", "lib/elasticsearch/api/actions/nodes/stats.rb", "lib/elasticsearch/api/actions/percolate.rb", "lib/elasticsearch/api/actions/ping.rb", "lib/elasticsearch/api/actions/put_script.rb", "lib/elasticsearch/api/actions/put_template.rb", "lib/elasticsearch/api/actions/scroll.rb", "lib/elasticsearch/api/actions/search.rb", "lib/elasticsearch/api/actions/search_shards.rb", "lib/elasticsearch/api/actions/search_template.rb", "lib/elasticsearch/api/actions/snapshot/create.rb", "lib/elasticsearch/api/actions/snapshot/create_repository.rb", "lib/elasticsearch/api/actions/snapshot/delete.rb", "lib/elasticsearch/api/actions/snapshot/delete_repository.rb", "lib/elasticsearch/api/actions/snapshot/get.rb", "lib/elasticsearch/api/actions/snapshot/get_repository.rb", "lib/elasticsearch/api/actions/snapshot/restore.rb", "lib/elasticsearch/api/actions/snapshot/status.rb", "lib/elasticsearch/api/actions/snapshot/verify_repository.rb", "lib/elasticsearch/api/actions/suggest.rb", "lib/elasticsearch/api/actions/termvectors.rb", "lib/elasticsearch/api/actions/update.rb", "lib/elasticsearch/api/namespace/cat.rb", "lib/elasticsearch/api/namespace/cluster.rb", "lib/elasticsearch/api/namespace/common.rb", "lib/elasticsearch/api/namespace/indices.rb", "lib/elasticsearch/api/namespace/nodes.rb", "lib/elasticsearch/api/namespace/snapshot.rb", "lib/elasticsearch/api/utils.rb", "lib/elasticsearch/api/version.rb", "test/integration/yaml_test_runner.rb", "test/test_helper.rb", "test/unit/abort_benchmark_test.rb", "test/unit/api_test.rb", "test/unit/benchmark_test.rb", "test/unit/bulk_test.rb", "test/unit/cat/aliases_test.rb", "test/unit/cat/allocation_test.rb", "test/unit/cat/count_test.rb", "test/unit/cat/fielddata_test.rb", "test/unit/cat/health_test.rb", "test/unit/cat/help_test.rb", "test/unit/cat/indices_test.rb", "test/unit/cat/master_test.rb", "test/unit/cat/nodes_test.rb", "test/unit/cat/pending_tasks_test.rb", "test/unit/cat/recovery_test.rb", "test/unit/cat/segments_test.rb", "test/unit/cat/shards_test.rb", "test/unit/cat/thread_pool_test.rb", "test/unit/clear_scroll_test.rb", "test/unit/client_test.rb", "test/unit/cluster/get_settings_test.rb", "test/unit/cluster/health_test.rb", "test/unit/cluster/pending_tasks_test.rb", "test/unit/cluster/put_settings_test.rb", "test/unit/cluster/reroute_test.rb", "test/unit/cluster/state_test.rb", "test/unit/count_percolate_test.rb", "test/unit/count_test.rb", "test/unit/create_document_test.rb", "test/unit/delete_by_query_test.rb", "test/unit/delete_document_test.rb", "test/unit/delete_script_test.rb", "test/unit/delete_template_test.rb", "test/unit/exists_document_test.rb", "test/unit/explain_document_test.rb", "test/unit/get_document_source_test.rb", "test/unit/get_document_test.rb", "test/unit/get_script_test.rb", "test/unit/get_template_test.rb", "test/unit/hashie_test.rb", "test/unit/index_document_test.rb", "test/unit/indices/analyze_test.rb", "test/unit/indices/clear_cache_test.rb", "test/unit/indices/close_test.rb", "test/unit/indices/create_test.rb", "test/unit/indices/delete_alias_test.rb", "test/unit/indices/delete_mapping_test.rb", "test/unit/indices/delete_template_test.rb", "test/unit/indices/delete_test.rb", "test/unit/indices/delete_warmer_test.rb", "test/unit/indices/exists_alias_test.rb", "test/unit/indices/exists_template_test.rb", "test/unit/indices/exists_test.rb", "test/unit/indices/exists_type_test.rb", "test/unit/indices/flush_test.rb", "test/unit/indices/get_alias_test.rb", "test/unit/indices/get_aliases_test.rb", "test/unit/indices/get_field_mapping_test.rb", "test/unit/indices/get_mapping_test.rb", "test/unit/indices/get_settings_test.rb", "test/unit/indices/get_template_test.rb", "test/unit/indices/get_test.rb", "test/unit/indices/get_warmer_test.rb", "test/unit/indices/open_test.rb", "test/unit/indices/optimize_test.rb", "test/unit/indices/put_alias_test.rb", "test/unit/indices/put_mapping_test.rb", "test/unit/indices/put_settings_test.rb", "test/unit/indices/put_template_test.rb", "test/unit/indices/put_warmer_test.rb", "test/unit/indices/recovery_test.rb", "test/unit/indices/refresh_test.rb", "test/unit/indices/segments_test.rb", "test/unit/indices/snapshot_index_test.rb", "test/unit/indices/stats_test.rb", "test/unit/indices/status_test.rb", "test/unit/indices/update_aliases_test.rb", "test/unit/indices/upgrade_test.rb", "test/unit/indices/validate_query_test.rb", "test/unit/info_test.rb", "test/unit/json_builders_test.rb", "test/unit/list_benchmarks_test.rb", "test/unit/mget_test.rb", "test/unit/mlt_test.rb", "test/unit/mpercolate_test.rb", "test/unit/msearch_test.rb", "test/unit/mtermvectors_test.rb", "test/unit/nodes/hot_threads_test.rb", "test/unit/nodes/info_test.rb", "test/unit/nodes/shutdown_test.rb", "test/unit/nodes/stats_test.rb", "test/unit/percolate_test.rb", "test/unit/ping_test.rb", "test/unit/put_script_test.rb", "test/unit/put_template_test.rb", "test/unit/scroll_test.rb", "test/unit/search_shards_test.rb", "test/unit/search_template_test.rb", "test/unit/search_test.rb", "test/unit/snapshot/create_repository_test.rb", "test/unit/snapshot/create_test.rb", "test/unit/snapshot/delete_repository_test.rb", "test/unit/snapshot/delete_test.rb", "test/unit/snapshot/get_repository_test.rb", "test/unit/snapshot/get_test.rb", "test/unit/snapshot/restore_test.rb", "test/unit/snapshot/status_test.rb", "test/unit/snapshot/verify_repository_test.rb", "test/unit/suggest_test.rb", "test/unit/termvectors_test.rb", "test/unit/update_document_test.rb", "test/unit/utils_test.rb", "utils/Gemfile", "utils/Thorfile", "utils/thor/generate_api.rb", "utils/thor/generate_source.rb", "utils/thor/lister.rb", "utils/thor/templates/ruby/method.erb", "utils/thor/templates/ruby/test.erb", "utils/thor/templates/ruby/test_helper.rb"]
  s.homepage = "https://github.com/elasticsearch/elasticsearch-ruby/tree/master/elasticsearch-api"
  s.licenses = ["Apache 2"]
  s.rdoc_options = ["--charset=UTF-8"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14"
  s.summary = "Ruby API for Elasticsearch."
  s.test_files = ["test/integration/yaml_test_runner.rb", "test/test_helper.rb", "test/unit/abort_benchmark_test.rb", "test/unit/api_test.rb", "test/unit/benchmark_test.rb", "test/unit/bulk_test.rb", "test/unit/cat/aliases_test.rb", "test/unit/cat/allocation_test.rb", "test/unit/cat/count_test.rb", "test/unit/cat/fielddata_test.rb", "test/unit/cat/health_test.rb", "test/unit/cat/help_test.rb", "test/unit/cat/indices_test.rb", "test/unit/cat/master_test.rb", "test/unit/cat/nodes_test.rb", "test/unit/cat/pending_tasks_test.rb", "test/unit/cat/recovery_test.rb", "test/unit/cat/segments_test.rb", "test/unit/cat/shards_test.rb", "test/unit/cat/thread_pool_test.rb", "test/unit/clear_scroll_test.rb", "test/unit/client_test.rb", "test/unit/cluster/get_settings_test.rb", "test/unit/cluster/health_test.rb", "test/unit/cluster/pending_tasks_test.rb", "test/unit/cluster/put_settings_test.rb", "test/unit/cluster/reroute_test.rb", "test/unit/cluster/state_test.rb", "test/unit/count_percolate_test.rb", "test/unit/count_test.rb", "test/unit/create_document_test.rb", "test/unit/delete_by_query_test.rb", "test/unit/delete_document_test.rb", "test/unit/delete_script_test.rb", "test/unit/delete_template_test.rb", "test/unit/exists_document_test.rb", "test/unit/explain_document_test.rb", "test/unit/get_document_source_test.rb", "test/unit/get_document_test.rb", "test/unit/get_script_test.rb", "test/unit/get_template_test.rb", "test/unit/hashie_test.rb", "test/unit/index_document_test.rb", "test/unit/indices/analyze_test.rb", "test/unit/indices/clear_cache_test.rb", "test/unit/indices/close_test.rb", "test/unit/indices/create_test.rb", "test/unit/indices/delete_alias_test.rb", "test/unit/indices/delete_mapping_test.rb", "test/unit/indices/delete_template_test.rb", "test/unit/indices/delete_test.rb", "test/unit/indices/delete_warmer_test.rb", "test/unit/indices/exists_alias_test.rb", "test/unit/indices/exists_template_test.rb", "test/unit/indices/exists_test.rb", "test/unit/indices/exists_type_test.rb", "test/unit/indices/flush_test.rb", "test/unit/indices/get_alias_test.rb", "test/unit/indices/get_aliases_test.rb", "test/unit/indices/get_field_mapping_test.rb", "test/unit/indices/get_mapping_test.rb", "test/unit/indices/get_settings_test.rb", "test/unit/indices/get_template_test.rb", "test/unit/indices/get_test.rb", "test/unit/indices/get_warmer_test.rb", "test/unit/indices/open_test.rb", "test/unit/indices/optimize_test.rb", "test/unit/indices/put_alias_test.rb", "test/unit/indices/put_mapping_test.rb", "test/unit/indices/put_settings_test.rb", "test/unit/indices/put_template_test.rb", "test/unit/indices/put_warmer_test.rb", "test/unit/indices/recovery_test.rb", "test/unit/indices/refresh_test.rb", "test/unit/indices/segments_test.rb", "test/unit/indices/snapshot_index_test.rb", "test/unit/indices/stats_test.rb", "test/unit/indices/status_test.rb", "test/unit/indices/update_aliases_test.rb", "test/unit/indices/upgrade_test.rb", "test/unit/indices/validate_query_test.rb", "test/unit/info_test.rb", "test/unit/json_builders_test.rb", "test/unit/list_benchmarks_test.rb", "test/unit/mget_test.rb", "test/unit/mlt_test.rb", "test/unit/mpercolate_test.rb", "test/unit/msearch_test.rb", "test/unit/mtermvectors_test.rb", "test/unit/nodes/hot_threads_test.rb", "test/unit/nodes/info_test.rb", "test/unit/nodes/shutdown_test.rb", "test/unit/nodes/stats_test.rb", "test/unit/percolate_test.rb", "test/unit/ping_test.rb", "test/unit/put_script_test.rb", "test/unit/put_template_test.rb", "test/unit/scroll_test.rb", "test/unit/search_shards_test.rb", "test/unit/search_template_test.rb", "test/unit/search_test.rb", "test/unit/snapshot/create_repository_test.rb", "test/unit/snapshot/create_test.rb", "test/unit/snapshot/delete_repository_test.rb", "test/unit/snapshot/delete_test.rb", "test/unit/snapshot/get_repository_test.rb", "test/unit/snapshot/get_test.rb", "test/unit/snapshot/restore_test.rb", "test/unit/snapshot/status_test.rb", "test/unit/snapshot/verify_repository_test.rb", "test/unit/suggest_test.rb", "test/unit/termvectors_test.rb", "test/unit/update_document_test.rb", "test/unit/utils_test.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<multi_json>, [">= 0"])
      s.add_development_dependency(%q<bundler>, ["> 1"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<elasticsearch>, [">= 0"])
      s.add_development_dependency(%q<elasticsearch-transport>, [">= 0"])
      s.add_development_dependency(%q<minitest>, ["~> 4.0"])
      s.add_development_dependency(%q<elasticsearch-extensions>, [">= 0"])
      s.add_development_dependency(%q<ansi>, [">= 0"])
      s.add_development_dependency(%q<shoulda-context>, [">= 0"])
      s.add_development_dependency(%q<mocha>, [">= 0"])
      s.add_development_dependency(%q<turn>, [">= 0"])
      s.add_development_dependency(%q<yard>, [">= 0"])
      s.add_development_dependency(%q<pry>, [">= 0"])
      s.add_development_dependency(%q<ci_reporter>, ["~> 1.9"])
      s.add_development_dependency(%q<jsonify>, [">= 0"])
      s.add_development_dependency(%q<hashie>, [">= 0"])
      s.add_development_dependency(%q<ruby-prof>, [">= 0"])
      s.add_development_dependency(%q<jbuilder>, [">= 0"])
      s.add_development_dependency(%q<escape_utils>, [">= 0"])
      s.add_development_dependency(%q<simplecov>, [">= 0"])
      s.add_development_dependency(%q<simplecov-rcov>, [">= 0"])
      s.add_development_dependency(%q<cane>, [">= 0"])
      s.add_development_dependency(%q<require-prof>, [">= 0"])
    else
      s.add_dependency(%q<multi_json>, [">= 0"])
      s.add_dependency(%q<bundler>, ["> 1"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<elasticsearch>, [">= 0"])
      s.add_dependency(%q<elasticsearch-transport>, [">= 0"])
      s.add_dependency(%q<minitest>, ["~> 4.0"])
      s.add_dependency(%q<elasticsearch-extensions>, [">= 0"])
      s.add_dependency(%q<ansi>, [">= 0"])
      s.add_dependency(%q<shoulda-context>, [">= 0"])
      s.add_dependency(%q<mocha>, [">= 0"])
      s.add_dependency(%q<turn>, [">= 0"])
      s.add_dependency(%q<yard>, [">= 0"])
      s.add_dependency(%q<pry>, [">= 0"])
      s.add_dependency(%q<ci_reporter>, ["~> 1.9"])
      s.add_dependency(%q<jsonify>, [">= 0"])
      s.add_dependency(%q<hashie>, [">= 0"])
      s.add_dependency(%q<ruby-prof>, [">= 0"])
      s.add_dependency(%q<jbuilder>, [">= 0"])
      s.add_dependency(%q<escape_utils>, [">= 0"])
      s.add_dependency(%q<simplecov>, [">= 0"])
      s.add_dependency(%q<simplecov-rcov>, [">= 0"])
      s.add_dependency(%q<cane>, [">= 0"])
      s.add_dependency(%q<require-prof>, [">= 0"])
    end
  else
    s.add_dependency(%q<multi_json>, [">= 0"])
    s.add_dependency(%q<bundler>, ["> 1"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<elasticsearch>, [">= 0"])
    s.add_dependency(%q<elasticsearch-transport>, [">= 0"])
    s.add_dependency(%q<minitest>, ["~> 4.0"])
    s.add_dependency(%q<elasticsearch-extensions>, [">= 0"])
    s.add_dependency(%q<ansi>, [">= 0"])
    s.add_dependency(%q<shoulda-context>, [">= 0"])
    s.add_dependency(%q<mocha>, [">= 0"])
    s.add_dependency(%q<turn>, [">= 0"])
    s.add_dependency(%q<yard>, [">= 0"])
    s.add_dependency(%q<pry>, [">= 0"])
    s.add_dependency(%q<ci_reporter>, ["~> 1.9"])
    s.add_dependency(%q<jsonify>, [">= 0"])
    s.add_dependency(%q<hashie>, [">= 0"])
    s.add_dependency(%q<ruby-prof>, [">= 0"])
    s.add_dependency(%q<jbuilder>, [">= 0"])
    s.add_dependency(%q<escape_utils>, [">= 0"])
    s.add_dependency(%q<simplecov>, [">= 0"])
    s.add_dependency(%q<simplecov-rcov>, [">= 0"])
    s.add_dependency(%q<cane>, [">= 0"])
    s.add_dependency(%q<require-prof>, [">= 0"])
  end
end

